slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPSetDS

Associates a direct solver object to the polynomial eigensolver.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetDS(PEP pep,DS ds)

Collective

### Input Parameters

| pep | - eigensolver context obtained from PEPCreate()
| ds | - the direct solver object

### Note

Use PEPGetDS() to retrieve the direct solver context (for example, to free it at the end of the computations).

### See Also

PEPGetDS()

### Level

advanced

### Location

src/pep/interface/pepbasic.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages